> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Select one of user's account to proceed. Even if the user has only
one account, this needs to be called.

> For cluster-internal consistency, it may take several seconds for the
new Account to become the default one selected. Have your client code
wait for the change to propagate across the DSM cluster. If this isn’t done,
immediate API calls may contain information from the old Account.

## OpenAPI

````json POST /sys/v1/session/select_account
{
  "openapi": "3.0.0",
  "info": {
    "title": "Fortanix DSM REST API",
    "description": "This is a set of REST APIs for accessing the Fortanix Data Security Manager. This includes APIs for managing accounts, and for performing cryptographic and key management operations. \n\n **Note:** \n- All binary input should be base64-encoded. These fields are marked with `format: byte`. \n- For forward compatibility, any API client is expected to ignore any fields in the response not explicitly mentioned in the documentation. We reserve the right to add new fields at any time to provide new functionality without affecting existing API clients.",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "version": "0.1.0-20260526"
  },
  "servers": [
    {
      "url": "https://amer.smartkey.io"
    }
  ],
  "paths": {
    "/sys/v1/session/select_account": {
      "post": {
        "operationId": "SelectAccount",
        "tags": [
          "Session"
        ],
        "security": [
          {
            "bearerToken": []
          },
          {
            "apiKeyAuth": []
          }
        ],
        "summary": "Select one of user's account to proceed. Even if the user has only\none account, this needs to be called.",
        "description": "For cluster-internal consistency, it may take several seconds for the\nnew Account to become the default one selected. Have your client code\nwait for the change to propagate across the DSM cluster. If this isn’t done,\nimmediate API calls may contain information from the old Account.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/SelectAccountRequest"
              }
            }
          }
        },
        "responses": {
          "2XX": {
            "description": "Success result",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SelectAccountResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "SelectAccountRequest": {
        "allOf": [
          {
            "type": "object",
            "description": "Request to select an account.",
            "properties": {
              "acct_id": {
                "type": "string",
                "format": "uuid"
              }
            },
            "required": [
              "acct_id"
            ]
          }
        ]
      },
      "SelectAccountResponse": {
        "allOf": [
          {
            "type": "object",
            "description": "Response to select account request.",
            "properties": {
              "cookie": {
                "type": "string",
                "nullable": true
              }
            }
          }
        ]
      }
    }
  }
}
````

